> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Naviga synchronization



## OpenAPI

````yaml post /api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/datasource/Naviga/{datasourceId}/synchronization
openapi: 3.0.1
info:
  title: Data Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/data/v1.0/customer/{customerId}/dataset/{dataSetId}/datasource/Naviga/{datasourceId}/synchronization:
    post:
      tags:
        - Naviga
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: dataSetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: datasourceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: resynchronize
          in: query
          schema:
            type: boolean
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Accepted
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/IngestionSummaryResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/IngestionSummaryResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/IngestionSummaryResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    IngestionSummaryResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          $ref: '#/components/schemas/IngestionSummary'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    IngestionSummary:
      type: object
      properties:
        uploadId:
          type: string
          format: uuid
        datasourceId:
          type: string
          format: uuid
        linesProcessed:
          type: integer
          format: int32
        contactsCount:
          type: integer
          format: int32
        offersCount:
          type: integer
          format: int32
        treatmentsCount:
          type: integer
          format: int32
        contentItemsCount:
          type: integer
          format: int32
        responsesCount:
          type: integer
          format: int32
        treatmentContactsCount:
          type: integer
          format: int32
        subscriptionsCount:
          type: integer
          format: int32
        insertionExceptions:
          $ref: '#/components/schemas/InsertionExceptions'
        lastSyncedEntityDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    InsertionExceptions:
      type: object
      properties:
        warnings:
          type: object
          additionalProperties:
            type: array
            items:
              type: integer
              format: int32
            nullable: true
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: integer
              format: int32
            nullable: true
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````